List assets

Returns all assets available to the authenticated API key's account.
Supports filtering, pagination, sorting, and field expansion.

💡 Tip: To attach asset/copilot resources to a specific asset, use the Resources endpoint (POST /resources) with the asset_id field.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Expand allows you to return additional fields that are not included in the default fields (comma-separated list).

Supported fields:

  • notes: Notes attached to this asset
  • resources: Resources linked to this asset
string

Fields allows you to return a subset of the default fields (comma-separated list).

Supported fields:

  • data: Asset-specific data payload (JSON)
  • id: Asset ID
  • name: Asset name
  • product_id: Product this asset is an instance of
  • sn: Serial number
  • status: 0 (inactive) or 1 (active)
  • supplier_id: Supplier ID (populated if the product is supplier-owned)
string

Filter Format: filter[field][operator]=value

Invalid filter formats will return a 422 status code with detailed error information.

Supported operators:

  • eq: Equal to
  • neq: Not equal to
  • gt: Greater than
  • gte: Greater than or equal
  • lt: Less than
  • lte: Less than or equal
  • like: Contains (case-insensitive)

Supported fields:

  • id: Asset ID
  • product_id: Filter by product ID
  • status: Filter by status (0=inactive, 1=active)
integer

Page number

integer
1 to 10000
Defaults to 100

Maximum number of results to return per page. Defaults to 100 if not specified. Maximum is 10,000. The response includes a more field indicating whether additional pages are available.

string

Fields to sort by

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json